local o = vim.o
local wo = vim.wo
local bo = vim.bo
local cmd = vim.cmd

cmd('syntax on')
cmd('set number')
cmd('set completeopt=menuone,noinsert,noselect')
cmd('set shortmess+=c')
cmd("autocmd CursorHold,CursorHoldI *.rs :lua require'lsp_extensions'.inlay_hints{ only_current_line = true }")

o.startofline = true
wo.cursorline = true

o.updatetime = 300
wo.signcolumn='yes'
o.showcmd = true

o.shell = 'bash'
o.mouse = 'a'

o.smarttab = true
bo.tabstop = 2
bo.shiftwidth = 2
bo.expandtab = true

wo.relativenumber = true
o.hidden = true
